Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.atom.server
Class MuleRequestContext

    java.lang.Object
      org.apache.abdera.protocol.util.AbstractMessage
          org.apache.abdera.protocol.util.AbstractRequest
              org.apache.abdera.protocol.server.context.AbstractRequestContext
                  org.mule.module.atom.server.MuleRequestContext

All Implemented Interfaces:
  org.apache.abdera.protocol.Message, org.apache.abdera.protocol.Request, org.apache.abdera.protocol.server.RequestContext, org.apache.abdera.protocol.util.ProtocolConstants

    public class MuleRequestContext

extends org.apache.abdera.protocol.server.context.AbstractRequestContext
implements org.apache.abdera.protocol.server.RequestContext

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.abdera.protocol.server.RequestContext
`org.apache.abdera.protocol.server.RequestContext.Property, org.apache.abdera.protocol.server.RequestContext.Scope`

Field Summary

Fields inherited from class org.apache.abdera.protocol.server.context.AbstractRequestContext
`baseUri, document, method, principal, provider, requestUri, subject, target`

Fields inherited from class org.apache.abdera.protocol.util.AbstractRequest
`max_stale, min_fresh`

Fields inherited from class org.apache.abdera.protocol.util.AbstractMessage
`flags, max_age`

Fields inherited from interface org.apache.abdera.protocol.util.ProtocolConstants
`NOCACHE, NOSTORE, NOTRANSFORM, ONLYIFCACHED, PRIVATE, PROXYREVALIDATE, PUBLIC, REVALIDATE`

Constructor Summary
`MuleRequestContext(org.apache.abdera.protocol.server.Provider context, MuleEventContext event, MuleMessage request, String contextPath, org.apache.abdera.i18n.iri.IRI baseIri)`

Method Summary
`Object` | `getAttribute(org.apache.abdera.protocol.server.RequestContext.Scope scope, String name)`
`String[]` | `getAttributeNames(org.apache.abdera.protocol.server.RequestContext.Scope scope)`
`String` | `getContextPath()`
`Date` | `getDateHeader(String name)`
`String` | `getHeader(String name)`
`String[]` | `getHeaderNames()`
`Object[]` | `getHeaders(String name)`
`InputStream` | `getInputStream()`
`String` | `getParameter(String name)`
`String[]` | `getParameterNames()`
`List<String>` | `getParameters(String name)`
`Locale` | `getPreferredLocale()`
`Locale[]` | `getPreferredLocales()`
`Object` | `getProperty(org.apache.abdera.protocol.server.RequestContext.Property property)`
`Reader` | `getReader()`
`String` | `getTargetBasePath()`
`boolean` | `isUserInRole(String role)`
`org.apache.abdera.protocol.server.RequestContext` | `setAttribute(org.apache.abdera.protocol.server.RequestContext.Scope scope, String name, Object value)`

Methods inherited from class org.apache.abdera.protocol.server.context.AbstractRequestContext
`absoluteUrlFor, getAbdera, getBaseUri, getDocument, getDocument, getDocument, getDocument, getMethod, getPrincipal, getProvider, getResolvedUri, getSubject, getTarget, getTargetPath, getUri, initTarget, isAtom, setAttribute, urlFor`

Methods inherited from class org.apache.abdera.protocol.util.AbstractRequest
`getAccept, getAcceptCharset, getAcceptEncoding, getAcceptLanguage, getAuthorization, getIfMatch, getIfModifiedSince, getIfNoneMatch, getIfUnmodifiedSince, getMaxStale, getMinFresh, isOnlyIfCached, setMaxAge, setMaxStale, setMinFresh, setNoCache, setNoStore, setNoTransform, setOnlyIfCached`

Methods inherited from class org.apache.abdera.protocol.util.AbstractMessage
`check, getCacheControl, getContentLanguage, getContentLocation, getContentType, getDecodedHeader, getDecodedHeaders, getMaxAge, getSlug, isNoCache, isNoStore, isNoTransform, toggle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.abdera.protocol.server.RequestContext
`absoluteUrlFor, getAbdera, getBaseUri, getDocument, getDocument, getDocument, getDocument, getMethod, getPrincipal, getProvider, getResolvedUri, getSubject, getTarget, getTargetPath, getUri, isAtom, setAttribute, urlFor`

Methods inherited from interface org.apache.abdera.protocol.Request
`getAccept, getAcceptCharset, getAcceptEncoding, getAcceptLanguage, getAuthorization, getIfMatch, getIfModifiedSince, getIfNoneMatch, getIfUnmodifiedSince, getMaxStale, getMinFresh, isOnlyIfCached`

Methods inherited from interface org.apache.abdera.protocol.Message
`getCacheControl, getContentLanguage, getContentLocation, getContentType, getDecodedHeader, getDecodedHeaders, getMaxAge, getSlug, isNoCache, isNoStore, isNoTransform`

Constructor Detail

### MuleRequestContext

    public MuleRequestContext(org.apache.abdera.protocol.server.Provider context,
                              MuleEventContext event,
                              MuleMessage request,
                              String contextPath,
                              org.apache.abdera.i18n.iri.IRI baseIri)

Method Detail

### getPreferredLocale

    public Locale getPreferredLocale()

  Specified by:
    `getPreferredLocale` in interface `org.apache.abdera.protocol.server.RequestContext`

### getPreferredLocales

    public Locale[] getPreferredLocales()

  Specified by:
    `getPreferredLocales` in interface `org.apache.abdera.protocol.server.RequestContext`

### getTargetBasePath

    public String getTargetBasePath()

  Specified by:
    `getTargetBasePath` in interface `org.apache.abdera.protocol.server.RequestContext`

### getProperty

    public Object getProperty(org.apache.abdera.protocol.server.RequestContext.Property property)

  Specified by:
    `getProperty` in interface `org.apache.abdera.protocol.server.RequestContext`

### getReader

    public Reader getReader()
                     throws IOException

  Specified by:
    `getReader` in interface `org.apache.abdera.protocol.server.RequestContext`
  Throws:
    `IOException`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `org.apache.abdera.protocol.server.RequestContext`
  Throws:
    `IOException`

### setAttribute

    public org.apache.abdera.protocol.server.RequestContext setAttribute(org.apache.abdera.protocol.server.RequestContext.Scope scope,
                                                                         String name,
                                                                         Object value)

  Specified by:
    `setAttribute` in interface `org.apache.abdera.protocol.server.RequestContext`

### getAttribute

    public Object getAttribute(org.apache.abdera.protocol.server.RequestContext.Scope scope,
                               String name)

  Specified by:
    `getAttribute` in interface `org.apache.abdera.protocol.server.RequestContext`

### getAttributeNames

    public String[] getAttributeNames(org.apache.abdera.protocol.server.RequestContext.Scope scope)

  Specified by:
    `getAttributeNames` in interface `org.apache.abdera.protocol.server.RequestContext`

### getParameter

    public String getParameter(String name)

  Specified by:
    `getParameter` in interface `org.apache.abdera.protocol.server.RequestContext`

### getParameterNames

    public String[] getParameterNames()

  Specified by:
    `getParameterNames` in interface `org.apache.abdera.protocol.server.RequestContext`

### getParameters

    public List<String> getParameters(String name)

  Specified by:
    `getParameters` in interface `org.apache.abdera.protocol.server.RequestContext`

### getDateHeader

    public Date getDateHeader(String name)

  Specified by:
    `getDateHeader` in interface `org.apache.abdera.protocol.Message`

### getHeader

    public String getHeader(String name)

  Specified by:
    `getHeader` in interface `org.apache.abdera.protocol.Message`

### getHeaderNames

    public String[] getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `org.apache.abdera.protocol.Message`

### getHeaders

    public Object[] getHeaders(String name)

  Specified by:
    `getHeaders` in interface `org.apache.abdera.protocol.Message`

### isUserInRole

    public boolean isUserInRole(String role)

  Specified by:
    `isUserInRole` in interface `org.apache.abdera.protocol.server.RequestContext`

### getContextPath

    public String getContextPath()

  Specified by:
    `getContextPath` in interface `org.apache.abdera.protocol.server.RequestContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.